SET (BALL_HAS_FFTW TRUE)
SET (BALL_HAS_FFTW_H TRUE)

INCLUDE_DIRECTORIES(${FFTW_INCLUDE})

IF (FFTWD_FOUND)
	SET(BALL_HAS_FFTW_DOUBLE TRUE)
	SET(FFTW_LIBRARIES ${FFTWD_LIB} ${FFTW_LIBRARIES})
ENDIF()

IF (FFTWF_FOUND)
	SET(BALL_HAS_FFTW_FLOAT TRUE)
	SET(FFTW_LIBRARIES ${FFTWF_LIB} ${FFTW_LIBRARIES})
ENDIF()

IF (FFTWL_FOUND)
	SET(BALL_HAS_FFTW_LONG_DOUBLE TRUE)
	SET(FFTW_LIBRARIES ${FFTWL_LIB} ${FFTW_LIBRARIES})
ENDIF()

IF (BALL_COMPLEX_PRECISION MATCHES "float")
	IF (FFTWF_FOUND)
		SET(BALL_FFTW_DEFAULT_TRAITS FloatTraits)
	ELSE()
		MESSAGE(SEND_ERROR "FFTW library needed for desired complex precision is not available! (see BALL_COMPLEX_PRECISION)")
	ENDIF()
ELSEIF(BALL_COMPLEX_PRECISION MATCHES "double")
	IF (FFTWD_FOUND)
		SET(BALL_FFTW_DEFAULT_TRAITS DoubleTraits)
	ELSE()
		MESSAGE(SEND_ERROR "FFTW library needed for desired complex precision is not available! (see BALL_COMPLEX_PRECISION)")
	ENDIF()
ELSE()
	IF (FFTWL_FOUND)
		SET(BALL_FFTW_DEFAULT_TRAITS LongDoubleTraits)
	ELSE()
		MESSAGE(SEND_ERROR "FFTW library needed for desired complex precision is not available! (see BALL_COMPLEX_PRECISION)")
	ENDIF()
ENDIF()
